/* フォーム */
::placeholder {
    color: #757575;
    font-weight: normal;
}
.unique > .unit > div.entry {
    width: 710px;
    margin: var(--base-space) auto 0;
    width: 100%;
    font-weight: bold;
}
dl {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    display: grid;
    grid-template-columns: 20% 80%;
}
dt,
dd {
    padding: 20px;
    border: 2px solid #fff;
}
dt:not(:last-of-type),
dd:not(:last-of-type) {
    border-bottom: none;
}
dd {
    border-left: none;
}

dt {
    display: flex;
    align-items: center;
    background: #f9f9f6;
    font-weight: bold;
}

dt span {
    font-size: 12px;
    color: #e00;
}
dd {
    background: #f9f9f6;
}

dd input[type="text"],
dd textarea {
    margin: 2px 0;
    padding: 10px;
    width: 20%;
    outline: none;
    border: 2px solid #000;
    border-radius: 6px;
}

dt:nth-of-type(odd),
dd:nth-of-type(odd) {
    background-color: #fdecec;
}
dd input[type="text"].full-length,
dd textarea.full-length {
    width: 100%;
}
dd input[type="text"].half-length {
    width: 50%;
}
dd textarea {
    height: 150px;
}
dd input[type="text"].hasError {
    border-color: #e00;
}

.unique {
    font-size: 16px;
}
.btn_agreement {
    text-align: center;
    margin-top: 30px;
}
@media screen and (max-width: 768px) {
    .btn_agreement {
        text-align: left;
    }
}
.btn_agreement > div {
    width: -moz-fit-content;
    width: fit-content;
    margin: 0 auto;
    font-size: 20px;
    font-weight: bold;
}
.submit {
    color: #e00;
    text-align: center;
    margin-top: var(--base-space);
}
.submit a {
    padding: 5px 100px;
    display: inline-block;
    color: #fff;
    font-size: 36px;
    font-weight: bold;
    background: #f90;
    outline: none;
    border: none;
}
/* 免許・資格 */
.qualification-list li {
    display: grid;
    grid-template-columns: 20px 1fr 20% 20%;
    gap: 10px;
}
.qualification-list li p {
    display: flex;
    align-items: center;
}
@media screen and (max-width: 768px) {
    ::placeholder {
        font-size: 50%;
    }
    dl {
        grid-template-columns: 1fr;
    }
    dt {
        padding-bottom: 0;
    }
    dt:last-of-type {
        border-bottom: none;
    }
    dd {
        padding-top: 0;
        border-top: none;
        border-left: 2px solid #fff;
    }
    dd input[type="text"]#address,
    dd input[type="text"]#addKisei {
        min-width: 100px;
    }
    dd input[type="text"]#address + span,
    dd input[type="text"]#addKisei + span {
        font-size: 13px;
    }
    dd input[type="text"].half-length {
        width: 100%;
    }
    .btn_agreement,
    .submit {
        font-size: 16px;
    }
    .qualification-list li {
        grid-template-columns: 10px 1fr 1fr;
        gap: 5px;
    }
    .qualification-list li:not(:first-child) {
        margin-top: 10px;
    }
    .qualification-list li > input:nth-child(2) {
        grid-column-start: 2;
        grid-column-end: 4;
    }
    .qualification-list li > input:nth-child(3),
    .qualification-list li > input:nth-child(4) {
        grid-column-start: 3;
        grid-column-end: 4;
    }
    input[type="file"] {
        width: 90%;
        font-size: 12px;
    }
}

/* モーダル */
.modalArea {
    display: none;
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(30, 30, 30, 0.9);
}
.modalWrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
    max-width: 500px;
    padding: 10px 30px;
    background-color: #fff;
    text-align: center;
}
.modalWrapper.conf {
    height: 70vh;
    overflow: auto;
    max-width: 60%;
}
@media screen and (max-width: 768px) {
    .modalWrapper.conf {
        width: 85%;
        max-width: 85%;
    }
}
.modalWrapper h3,
.modalWrapper p {
    text-align: left;
}
.progressModal .modalWrapper {
    background-color: transparent;
}
.closeModal {
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    cursor: pointer;
}
.confirmModal dl {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: left;
}
.confirmModal dt,
.confirmModal dd {
    margin: 0;
    padding: 0;
}
.confirmModal dt {
    width: 30%;
}
.confirmModal dd {
    width: 70%;
    font-weight: bold;
}
.confirmModal .submit {
    margin: 50px 0 0 0;
    text-align: center;
    color: #e00;
}
.confirmModal .submit a {
    margin: auto;
    padding: 5px 100px;
    display: inline-block;
    color: #fff;
    font-size: 36px;
    font-weight: bold;
    background: #f90;
    outline: none;
    border: none;
    cursor: pointer;
}
@media screen and (max-width: 768px) {
    .confirmModal .submit a {
        padding: 5px 80px;
    }
}
.confirmModal .submit a:hover {
    background: #f60;
    text-decoration: none;
}

.modalContents {
    font-size: 14px;
}
.modalContents dt,
.modalContents dd {
    border: 1px solid gray;
    background-color: #eee;
    padding: 10px 10px;
}
@media screen and (max-width: 768px) {
    .modalContents dt,
    .modalContents dd {
        padding: 5px;
    }
}
.modalContents dt:nth-of-type(odd),
.modalContents dd:nth-of-type(odd) {
    background-color: #f9f9f6;
}

/* 受付完了 */
.entry_form .modalContents p {
    margin-top: 30px;
}
.entry_form .modalContents.error {
    color: #e00;
}
